package p05_petle;

import java.util.Scanner;

/* Parkowanie kosztuje 3 zł za godzinę.
Program pyta o liczbę godzin parkowania i na tej podstawie oblicza kwotę do zapłaty.
Następnie W PĘTLI:
  - program wypisuje ile pozostało do zapłaty
  - program prosi o wrzucenie kolejnej monety
aż zostanie wpłacona wymagana suma.

Jeśli należy się reszta, to program wypisuje ile reszty wydaje.
*/

public class Parkomat {

	public static void main(String[] args) {
		final int cena = 3;
		Scanner scanner = new Scanner(System.in);
		System.out.print("Za ile godzin płacisz? ");
		int ileGodzin = scanner.nextInt();
		int doZaplaty = ileGodzin * cena;
		System.out.println("Za " + ileGodzin + " godzin prakowania płacisz " + doZaplaty);
		
		int sumaWplat = 0;
		while(sumaWplat < doZaplaty) {
			System.out.println("Do tej pory wpłacono " + sumaWplat + ", pozostało jeszcze " + (doZaplaty - sumaWplat));
			System.out.print("wrzuć monetę: ");
			int moneta = scanner.nextInt();
			sumaWplat += moneta;
		}
		if(sumaWplat > doZaplaty) {
			System.out.println("Wydaję resztę: " + (sumaWplat - doZaplaty));
		}
		System.out.println("Dziękujemy");
	}

}
